## genshi 0.7.10

=== doc/requirements.txt ===
sphinx==7.4.7
sphinx-rtd-theme==2.0.0

## genshi 0.6

=== debian/changelog ===
genshi (0.6-2) unstable; urgency=low

  * Switch to dh_python2. Thanks to Julian Taylor. Closes: #637383.
  * debian/control:
    + Bump Standards-Version to 3.9.2. No changes needed.
  * debian/copyright:
    + Update copyright years.
  * debian/rules:
    + Run tests suite at build time. Closes: #581774.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 23 Aug 2011 11:58:39 +0900

genshi (0.6-1) unstable; urgency=low

  * New upstream release. Closes: #578759.
    + debian/rules:
      - Enable building C extension which has now been disabled by
        default.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control:
    + Bump Standards-Version to 3.8.4. No changes needed.
  * debian/watch:
    + Use FTP passive mode.
  * debian/copyright:
    + Update copyright years.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 23 Apr 2010 08:03:08 +0100

genshi (0.5.1-2) unstable; urgency=low

  * debian/control:
    + Add ${misc:Depends} to Depends in case the result of a call to
      debhelper tools adds extra dependencies.
    + Replace python-setuptools by python-pkg-resources in Suggests.
      Closes: #546433.
    + Update Standards-Version to 3.8.3. No changes needed.
  * debian/python-genshi-doc.doc-base:
    + Make the title more helpful. Closes: #509704.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 25 Sep 2009 13:14:48 +0100

genshi (0.5.1-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.
    +  Make  a separate  package  for  documentation  and examples,  which
       depends on libjs-jquery instead of  using  jquery.js from  upstream
       tarball.

  [ Sandro Tosi ]
  * debian/control
    + Switch Vcs-Browser field to viewsvn.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 03 Dec 2008 18:53:52 +0000

genshi (0.5.0-1) unstable; urgency=low

  * New upstream release. Closes: #487240.
  * debian/control:
    + Update Standards-Version to 3.8.0. No changes needed.
    + Switch Architecture to any as a shared library is now built.
    + Build-Depends on python-all-dev.
  * debian/copyright:
    + Update copyright years.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 18 Jun 2008 23:11:14 +0900

genshi (0.4.4-4) unstable; urgency=low

  [ Monty Taylor ]
  * Reverted removing of python-setuptools. Setuptools is required for the
    entrypoints to be able to provide templates for TurboGears.
    Closes: #479256.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 30 May 2008 12:57:44 +0200

genshi (0.4.4-3) unstable; urgency=low

  [ Arnaud Fontaine ]
  * debian/control:
    + Drop the build dependency on python-xml as it is now included in
      the standard python 2.4 library and Build-Depends on python 2.4.
      Closes: #468592.
  * debian/doc-base:
    + Set the section to Programming/Python instead of invalid section
      Apps/Programming.

  [ Sandro Tosi ]
  * debian/control
    - Fixed Vcs-Browser field.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 12 Mar 2008 11:41:02 +0000

genshi (0.4.4-2) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New email address.
  * Drop useless dependency on python-setuptools, use distutils instead.
    + Add debian/patches/01_no_setuptools.patch.
  * Remove useless debian/control.in.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.
    + Remove useless field against old dummy package (python-genshi is
      already in etch).
  * debian/copyright:
    + Update copyright years.

  [ Piotr Ożarowski ]
  * Homepage field added (dpkg supports it now).
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now).

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 23 Dec 2007 14:25:43 +0000

genshi (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 18 Jul 2007 18:21:53 +0200

genshi (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on python-support >= 0.6.4 and remove egg stuff from
    debian/rules.
  * debian/control*:
    + Add XS-Vcs-Browser field.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 17 Apr 2007 00:10:55 +0200

genshi (0.4-1) unstable; urgency=low

  * New upstream release.
  * Remove useless python-markup transition package.
  * Add Provides against python-markup.
  * Add doc-base.
  * Add depends against python-xml.
  * Add suggests to python-setuptools.

 -- Arnaud Fontaine <arnaud@andesi.org>  Mon, 16 Apr 2007 17:49:03 +0200

genshi (0.3.6-1) experimental; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field to debian/control*.
	
 -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 20 Jan 2007 15:30:30 +0100

genshi (0.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Arnaud Fontaine <arnaud@andesi.org>  Mon, 11 Dec 2006 01:03:27 +0100

genshi (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Upstream renames markup to genshi.
  * License the package under the GNU/GPL.

 -- Arnaud Fontaine <arnaud@andesi.org>  Thu,  2 Nov 2006 23:42:32 +0100

markup (0.2.0-1) unstable; urgency=low

  * Initial release. Closes: #383947.

 -- Arnaud Fontaine <arnaud@andesi.org>  Fri, 25 Aug 2006 14:00:37 +0200

=== debian/control ===
Source: genshi
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90~),
               python-all-dev (>= 2.6.6-3~),
               python-setuptools (>= 0.6b3)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://genshi.edgewall.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/genshi/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/genshi/trunk/

Package: python-genshi
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Suggests: doc-base, python-pkg-resources, python-genshi-doc
Description: Python XML-based template engine
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.

Package: python-genshi-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python XML-based template engine (documentation and examples)
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.
 .
 This package contains documentation and example programs for Genshi.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py files
DEB_COMPRESS_EXCLUDE := .py .txt .cfg .js

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed
DEB_DESTDIR=debian/python-genshi

# Enable the C extension
DEB_PYTHON_SETUP_CMD += --with-speedups

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
binary-install/python-genshi::
	for py in $(shell pyversions -vr); do \
		PYTHONPATH=$(cdbs_python_destdir)/usr/lib/python$$py/site-packages \
			python$$py setup.py test; \
	done;
endif

clean::
	-rm -rf $(CURDIR)/Genshi.egg-info

## SVN snapshot (changelog entry with a version: a.b.c~svnREVISION-d)
## Get the source  from the SVN upstream repository,  then generate the
## documentation (which is  in the release tarballs but  not in the SVN
## repository and requires  python-docutils and python-epydoc packages)
## and finally create the tarball
#SVN_URL := https://svn.edgewall.org/repos/genshi/trunk
#SVN_REVISION := $(shell echo $(DEB_UPSTREAM_VERSION)|sed 's/.*~svn\([0-9]*\)/\1/')
#SVN_DEB_TARBALL_DIR := $(CURDIR)/debian/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
#SVN_DEB_TARBALL :=  $(CURDIR)/../$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
#
## Adapted to CDBS and Genshi from:
##  http://wiki.debian.org/SandroTosi/Svn_get-orig-source
#get-orig-source:
#	-rm -rf $(SVN_DEB_TARBALL_DIR) $(SVN_DEB_TARBALL)
#
#	svn export -r $(SVN_REVISION) $(SVN_URL) $(SVN_DEB_TARBALL_DIR)
#
#	( cd $(SVN_DEB_TARBALL_DIR) && python setup.py build_doc )
#
#	# Get rid of byte-compile files created when building the
#	# documentation
#	find $(SVN_DEB_TARBALL_DIR) -name '*.pyc' -exec rm '{}' \;
#
#	GZIP='--best --no-name' tar czf $(SVN_DEB_TARBALL) -C $(SVN_DEB_TARBALL_DIR)/../ \
#		$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
#
#	-rm -rf $(SVN_DEB_TARBALL_DIR)
#
#	echo "Created: $(SVN_DEB_TARBALL)"
#
#.PHONY: get-orig-source

=== debian/watch ===
version=3
opts=pasv ftp://ftp.edgewall.com/pub/genshi/Genshi-([0-9._-]*)\.tar\.gz

## genshi 0.7

=== debian/changelog ===
genshi (0.7-6) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * Genshi only supports binary extension for python3 3.3 and before (Closes:
    #810108)
    - Make python3-genshi arc:all
    - Drop python3-all-dev build-depends

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Jun 2017 14:21:48 -0400

genshi (0.7-5) unstable; urgency=medium

  * debian/python3-genshi.pyremove: Re-added, but this time only to remove
    the bogus genshi/_speedups.c file.

 -- Barry Warsaw <barry@debian.org>  Wed, 16 Sep 2015 18:02:43 -0400

genshi (0.7-4) unstable; urgency=medium

  * debian/patches:
    - issue602.patch: Upstream patch for Python 3.5 compatibility.
      (Closes: #798030)
    - issue566.patch: Fix IndexError when uploading attachments in Trac
      for users with non-English language settings (Closes: #775746)
  * debian/control: Bump Standards-Version with no other changes needed.
  * debian/tests: Add simple DEP-8 tests for both Python 2 and 3.
  * debian/python3-genshi.pyremove: Removed.

 -- Barry Warsaw <barry@debian.org>  Tue, 08 Sep 2015 16:33:40 -0400

genshi (0.7-3) unstable; urgency=medium

  [ Barry Warsaw ]
  * Team upload.
  * d/patches/issue582.patch: Cherry picked patch from upstream to support
    Python 3.4.
  * d/copyright: Adjust copyright claim for Barry to just the debian/* files.
  * d/control: As per request, remove Arnaud from Uploaders.
  * d/python3-genshi.pyremove: Remove Python 3.4 specific paths.

  [ Thomas Goirand ]
  * d/control:
    - Use X-Python-Version: >= 2.7 and X-Python3-Version: >= 3.2, << 3.4, to
      allow easy backports and reflect reality.
    - Added "- Python {2,3}.x" in short descriptions.
  * d/copyright: Rewrote using parseable format 1.0.
  * d/rules: Cleans genshi/_speedups.so to allow package to be rebuilt twice.

 -- Barry Warsaw <barry@debian.org>  Tue, 11 Mar 2014 11:35:04 -0400

genshi (0.7-2) unstable; urgency=medium

  * Team upload.
  * d/control: Disable building/testing against Python 3.4 until
    upstream fixes their ticket #582.
  * d/patches/diable-python34.patch: Raise an ImportError when trying
    to import genshi in a Python > 3.3.

 -- Barry Warsaw <barry@debian.org>  Mon, 17 Feb 2014 17:10:41 -0500

genshi (0.7-1) unstable; urgency=low

  [ Barry Warsaw ]
  * Team upload.
    - Closes: #673935
  * New upstream release.  Closes: #731280
    - Closes: #713747 (FTBFS)
    - Closes: #673935 (py:match templates patch applied upstream).
  * d/control:
    - With maintainer permission, put DPMT in Maintainers, moved Arnaud to 
      Uploaders, and added Barry to the latter.
    - Add python3-genshi binary package.
    - Update Build-Depends for pybuild and remove cdbs.
    - Standards-Version: 3.9.5 with no further changes needed.
    - Add X-Python3-Version header.
    - wrap-and-sort
  * d/rules:
    - Switch to pybuild and add Python 3 support as a byproduct.
    - Removed cdbs and simplified.
  * d/watch: Updated
  * d/compat: Update to v8.
  * d/patches/fix_tests_failure_with_python27.patch: Updated.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Barry Warsaw <barry@debian.org>  Wed, 04 Dec 2013 12:13:02 -0500

genshi (0.6-3) unstable; urgency=low

  * debian/rules: build should fail if tests fail.
  * debian/patches/fix_tests_failure_with_python27.patch:
    + Fix tests which used to fail with python < 2.7.3. Thanks to Barry Warsaw.
      Closes: #661441.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 24 Nov 2012 11:38:21 +0900

=== debian/control ===
Source: genshi
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 8),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Testsuite: autopkgtest
Homepage: http://genshi.edgewall.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/genshi.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/genshi.git

Package: python-genshi
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: doc-base, python-genshi-doc, python-pkg-resources
Description: Python XML-based template engine - Python 2.x
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.
 .
 This is the Python 2 version.

Package: python3-genshi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: doc-base, python-genshi-doc, python3-pkg-resources
Description: Python XML-based template engine - Python 3.x
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.
 .
 This is the Python 3 version.

Package: python-genshi-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python XML-based template engine (documentation and examples)
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.
 .
 This package contains documentation and example programs for Genshi.

=== debian/tests/control ===
Test-Command: cd $ADTTMP; /usr/bin/python2 -c "import genshi"

Test-Command: cd $ADTTMP; for py3 in `py3versions -s`; do $py3 -c "import genshi"; done
Depends: @, python3-all

=== debian/watch ===
version=3
http://ftp.edgewall.com/pub/genshi/Genshi-(.*).tar.gz

## genshi 0.7.1

=== debian/changelog ===
genshi (0.7.1-5) unstable; urgency=medium

  * Team upload
  * debian/patches:
      - rm the 4 unused patches
        fix_tests_failure_with_python27.patch
        issue566.patch
        issue582.patch
        issue602.patch
  * debian/tests/control:
      - use tox, there is no deps
        py37 python setup.py test

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 17 Feb 2019 08:02:14 -0300

genshi (0.7.1-4) unstable; urgency=medium

  * Team upload
  * debian/rules:
      - Add hardening
  * debian/tests/control:
      - python3 setup.py test

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 16 Feb 2019 20:07:57 -0200

genshi (0.7.1-3) unstable; urgency=medium

  * debian/tests/control:
      - py3 import module

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 16 Feb 2019 09:16:33 -0200

genshi (0.7.1-2) unstable; urgency=medium

  * debian/tests/control:
      - Python 3.7 only

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 08 Feb 2019 10:26:01 -0200

genshi (0.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #910442)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove Testsuite field, not needed anymore
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Herbert Fortes ]
  * debian/control:
      - Bump Standards-Version from 3.9.6 to 4.3.0
  * debian/copyright:
      - Add myself to debian/
      - Files field for upstream first
  * debian/missing-sources:
      - examples/tutorial/geddit/static/jquery.js file
        already is a symlink to libjs-jquery. Add the
        sources (Closes: #787603)
  * debian/patches:
      - Remove issue566.patch. Fixed upstream.
      - Remove issue566.patch. Fixed upstream.
      - Remove issue602.patch. Fixed upstream.
      - Remove fix_tests_failure_with_python27.patch.
  * debian/python-genshi-doc.examples:
      - Remove file
  * debian/python-genshi-doc.install:
      - No html files
      - Add examples dir
    debian/python-genshi-doc.doc-base:
      - No html
  * debian/rules:
      - dh_clean rm -fr *.egg-info/
  * debian/tests/control:
      - tox -e py27,py37
  * debian/watch:
      - Version 4
      - GitHub

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 02 Feb 2019 11:42:17 -0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,16 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python-all-dev (>= 2.6.6-3~),
                python-setuptools (>= 0.6b3),
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
-Testsuite: autopkgtest
+Standards-Version: 4.3.0
 Homepage: http://genshi.edgewall.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/genshi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/genshi.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/genshi.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/genshi
 
 Package: python-genshi
 Architecture: any

=== debian/tests/control ===
Test-Command: tox -e py37
Depends: tox, @builddeps@

## genshi 0.7.3

=== debian/changelog ===
genshi (0.7.3-0ubuntu3.1) focal; urgency=medium

  * d/p/genshi-is-not-p.patch: Replace 'is not' with '!=' to fix
    deprecation warning (LP: #1931179)

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Fri, 01 Jul 2022 20:54:58 +0200

genshi (0.7.3-0ubuntu3) focal; urgency=medium

  * debian/tests/control: don't hard-code py37.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Mar 2020 23:53:00 +0000

genshi (0.7.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:22:57 +0100

genshi (0.7.3-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2020 14:57:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: genshi
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 12),
                dh-python,

=== debian/tests/control ===
Test-Command: tox
Depends: tox, @builddeps@

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/edgewall/genshi/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## genshi 0.7.5

=== debian/changelog ===
genshi (0.7.5-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-syntax-warning.patch included upstream
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 18 Nov 2020 11:35:36 +0000

genshi (0.7.4-2) unstable; urgency=medium

  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Fix syntax warning (Closes: #973757)

 -- Graham Inggs <ginggs@debian.org>  Thu, 05 Nov 2020 10:24:48 +0000

genshi (0.7.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Update Uploaders; add myself and Simon Cross, remove Barry Warsaw,
    thanks Barry for all your work! (Closes: #970120)
  * New upstream release (Closes: #972531, #973075)
  * Add build-dependency on python3-six

 -- Graham Inggs <ginggs@debian.org>  Tue, 03 Nov 2020 21:34:30 +0000

genshi (0.7.3-2) unstable; urgency=medium

  * Drop python2 support; Closes: #936599

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 17:46:20 -0400

genshi (0.7.3-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team Upload
  * New upstream version 0.7.3 (Closes: #948425)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Benjamin Drung ]
  * Fix template in debian/watch
  * debian/tests/control: do not hard-code py37
  * Bump Standards-Version to 4.5.0

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 04 Mar 2020 13:11:18 +0100

=== debian/control ===
Source: genshi
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>,
           Simon Cross <hodgestar+debian@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://genshi.edgewall.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/genshi.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/genshi

Package: python3-genshi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: doc-base, python-genshi-doc, python3-pkg-resources
Description: Python XML-based template engine - Python 3.x
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.
 .
 This is the Python 3 version.

Package: python-genshi-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python XML-based template engine (documentation and examples)
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.
 .
 This package contains documentation and example programs for Genshi.

## genshi 0.7.6

=== debian/changelog ===
genshi (0.7.6-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:23:40 +0000

genshi (0.7.6-1) unstable; urgency=medium

  * New upstream release
  * Drop 0001-get-test-suite-passing-with-Python-3.10.patch
    included upstream
  * Enable building the binary extension again
  * Add genshi/_speedups*.so to debian/clean

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Feb 2022 10:35:21 +0000

genshi (0.7.5-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-genshi-doc: Add Multi-Arch: foreign.

  [ Sergio Durigan Junior ]
  * d/p/0001-get-test-suite-passing-with-Python-3.10.patch:
    Make testsuite pass with Python 3.10.
  * d/control: Bump Standards-Version to 4.6.0.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 07 Dec 2021 20:58:53 -0500

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Simon Cross <hodgestar+debian@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
+               python3-all-dev,
                python3-setuptools,
                python3-six
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://genshi.edgewall.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/genshi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/genshi
 
 Package: python3-genshi
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Suggests: doc-base, python-genshi-doc, python3-pkg-resources
 Description: Python XML-based template engine - Python 3.x
  Genshi  is  a Python  library  that  provides  an integrated  set  of
@@ -31,6 +31,7 @@
 Architecture: all
 Section: doc
 Depends: libjs-jquery, ${misc:Depends}
+Multi-Arch: foreign
 Description: Python XML-based template engine (documentation and examples)
  Genshi  is  a Python  library  that  provides  an integrated  set  of
  components  for  parsing,  generating,  and processing  HTML  or  XML

=== debian/tests/control ===
Test-Command: tox -e $(py3versions -vi | sed 's/\([0-9]\)\.\([0-9]\)/py\1\2/g;s/ /,/g')
Depends: tox, @builddeps@

## genshi 0.7.7

=== debian/changelog ===
genshi (0.7.7-4build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:11:15 +0000

genshi (0.7.7-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:01:14 +0000

genshi (0.7.7-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 19:58:36 -0400

genshi (0.7.7-3) experimental; urgency=medium

  * Team upload.
  * autopkgtest: Use the python unittest runner directly, instead of going
    via tox. This tests the installed package.
  * Promote python3-pkg-resources from Suggests to Depends, as it is required
    to load templates by module name.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 11 May 2023 19:29:14 -0400

genshi (0.7.7-2) unstable; urgency=medium

  * Team upload.
  * Patch: Support setuptools >= 60. (Closes: #1022457)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Nov 2022 17:33:36 +0200

genshi (0.7.7-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Fri, 22 Apr 2022 13:19:12 +0000

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 Package: python3-genshi
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Suggests: doc-base, python-genshi-doc, python3-pkg-resources
+Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Suggests: doc-base, python-genshi-doc
 Description: Python XML-based template engine - Python 3.x
  Genshi  is  a Python  library  that  provides  an integrated  set  of
  components  for  parsing,  generating,  and processing  HTML  or  XML

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export PYBUILD_NAME=genshi
#export PYBUILD_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -f genshi/_speedups.so
	rm -fr Genshi.egg-info/

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, python3-genshi
Restrictions: allow-stderr

## genshi 0.7.9

=== debian/changelog ===
genshi (0.7.9-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:18:41 +0000

genshi (0.7.9-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:07:21 +0000

genshi (0.7.9-2) unstable; urgency=medium

  * Team upload.
  * Patch-out "cgi" usage (Closes: #1084678)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 16:28:49 +0100

genshi (0.7.9-1) unstable; urgency=medium

  * New upstream version 0.7.9
  * Remove patch applied upstream
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Jun 2024 21:36:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export PYBUILD_VERBOSE=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean -O--buildsystem=pybuild

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/edgewall/genshi/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## genshi 0.7.10

=== debian/changelog ===
genshi (0.7.10-1) unstable; urgency=medium

  * Team upload.
  * Rewrite d/watch in v5 format
  * New upstream version 0.7.10
  * Trim d/rules using newer syntax
  * Remove patch applied upstream
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Remove python3-six from build-deps
  * Switch to pybuild-plugin-pyproject
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Nov 2025 21:57:15 +0100

=== debian/control ===
Source: genshi
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Graham Inggs <ginggs@debian.org>,
 Simon Cross <hodgestar+debian@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://genshi.edgewall.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/genshi.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/genshi
X-Style: black

Package: python3-genshi
Architecture: any
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 doc-base,
 python-genshi-doc,
Description: Python XML-based template engine - Python 3.x
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.

Package: python-genshi-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Multi-Arch: foreign
Description: Python XML-based template engine (documentation and examples)
 Genshi  is  a Python  library  that  provides  an integrated  set  of
 components  for  parsing,  generating,  and processing  HTML  or  XML
 content  in  a uniform  manner.   The  major  feature is  a  template
 language, which is heavily inspired by Kid.
 .
 This package contains documentation and example programs for Genshi.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean -O--buildsystem=pybuild
+execute_after_dh_clean:
 	rm -f genshi/_speedups.so
 	rm -fr Genshi.egg-info/

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 python3-all,
 python3-genshi,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: edgewall
Project: genshi
